diff --git a/gcc/analyzer/region-model.cc b/gcc/analyzer/region-model.cc
index 890f7006fee..292d268300d 100644
--- a/gcc/analyzer/region-model.cc
+++ b/gcc/analyzer/region-model.cc
@@ -10626,24 +9193,24 @@ test_iteration_1 ()
   tree int_257 = build_int_cst (integer_type_node, 257);
   tree i = build_global_decl ("i", integer_type_node);
 
-  region_model2_manager mgr;
-  test_region_model2_context ctxt;
+  region_model_manager mgr;
+  test_region_model_context ctxt;
 
   /* model0: i: 0.  */
-  region_model2 model0 (&mgr);
+  region_model model0 (&mgr);
   model0.set_value (i, int_0, &ctxt);
 
   /* model1: i: 1.  */
-  region_model2 model1 (&mgr);
+  region_model model1 (&mgr);
   model1.set_value (i, int_1, &ctxt);
 
   /* FIXME: should merge to a widened value.  */
-  region_model2 model2 (&mgr);
+  region_model model2 (&mgr);
   ASSERT_TRUE (model1.can_merge_with_p (model0, point, &model2));
-  const svalue2 *merged_i = model2.get_rvalue (i, &ctxt);
-  ASSERT_EQ (merged_i->get_kind (), svalue2::SK_WIDENING);
-  const widening_svalue2 *w = merged_i->dyn_cast_widening_svalue2 ();
-  ASSERT_EQ (w->get_direction (), widening_svalue2::DIR_ASCENDING);
+  const svalue *merged_i = model2.get_rvalue (i, &ctxt);
+  ASSERT_EQ (merged_i->get_kind (), svalue::SK_WIDENING);
+  const widening_svalue *w = merged_i->dyn_cast_widening_svalue ();
+  ASSERT_EQ (w->get_direction (), widening_svalue::DIR_ASCENDING);
 
   /* Add constraint: i < 256  */
   model2.add_constraint (i, LT_EXPR, int_256, &ctxt);
@@ -10653,7 +9220,7 @@ test_iteration_1 ()
 	     tristate (tristate::TS_TRUE));
 
   /* Try merging with the initial state.  */
-  region_model2 model3 (&mgr);
+  region_model model3 (&mgr);
   ASSERT_TRUE (model2.can_merge_with_p (model0, point, &model3));
   /* Merging the merged value with the initial value should be idempotent,
      so that the analysis converges.  */
@@ -10667,18 +9234,18 @@ test_iteration_1 ()
   ASSERT_EQ (model3, model2);
 
   /* "i_23 = i_11 + 1;"  */
-  region_model2 model4 (model3);
+  region_model model4 (model3);
   ASSERT_EQ (model4, model2);
   model4.set_value (i, build2 (PLUS_EXPR, integer_type_node, i, int_1), &ctxt);
-  const svalue2 *plus_one = model4.get_rvalue (i, &ctxt);
+  const svalue *plus_one = model4.get_rvalue (i, &ctxt);
   /* TODO: what should this be?
      Currently it's the widening(0, +ve) plus one.
      Should it be a new widening(1, +ve), and apply a reworked version
      of the constraints on the other widening value?  */
-  ASSERT_EQ (plus_one->get_kind (), svalue2::SK_BINOP);
+  ASSERT_EQ (plus_one->get_kind (), svalue::SK_BINOP);
 
   /* Try merging with the "i: 1" state.  */
-  region_model2 model5 (&mgr);
+  region_model model5 (&mgr);
   ASSERT_TRUE (model4.can_merge_with_p (model1, point, &model5));
   ASSERT_EQ (model5.get_rvalue (i, &ctxt), plus_one);
   ASSERT_EQ (model5, model4);
@@ -10686,31 +9253,31 @@ test_iteration_1 ()
   /*  "i_11 = PHI();" merge with state at phi above.
       For i, we should have a merger of WIDENING with WIDENING + 1,
       and this should be WIDENING again.  */
-  region_model2 model6 (&mgr);
+  region_model model6 (&mgr);
   ASSERT_TRUE (model5.can_merge_with_p (model2, point, &model6));
-  const svalue2 *merged_widening = model6.get_rvalue (i, &ctxt);
-  ASSERT_EQ (merged_widening->get_kind (), svalue2::SK_WIDENING);
+  const svalue *merged_widening = model6.get_rvalue (i, &ctxt);
+  ASSERT_EQ (merged_widening->get_kind (), svalue::SK_WIDENING);
   // FIXME: what constraints should we have here?
 
-  ASSERT_CONDITION_TRUE2 (model6, i, LT_EXPR, int_257);
+  ASSERT_CONDITION_TRUE (model6, i, LT_EXPR, int_257);
 
   /* This is a cache miss (we have i < 257 rather than i < 256).
      However, on applying the loop-bound condition...
      FIXME.  */
 
-  region_model2 model7_t (model6);
+  region_model model7_t (model6);
   ADD_SAT_CONSTRAINT (model7_t, i, LT_EXPR, int_256);
 
-  region_model2 model7_f (model6);
+  region_model model7_f (model6);
 #if ITERATED_BINOPS
   ADD_SAT_CONSTRAINT (model7_f, i, GE_EXPR, int_256);
-  ASSERT_CONDITION_TRUE2 (model7_f, i, EQ_EXPR, int_256);
+  ASSERT_CONDITION_TRUE (model7_f, i, EQ_EXPR, int_256);
 #endif /* ITERATED_BINOPS */
 
   //ASSERT_EQ (model6, model3);
 
   // TODO: constraints at end of loop (with i >= 256; should get i == 256)
-  /* TODO: unittests for widening_svalue2::eval_condition_without_cm
+  /* TODO: unittests for widening_svalue::eval_condition_without_cm
      (separately).  */
 #endif
 }
@@ -10725,26 +9292,26 @@ test_iteration_2 ()
 
 #if 0
 
-/* Verify that if we mark a pointer to a malloc-ed region2 as non-NULL,
-   all cast pointers to that region2 are also known to be non-NULL.  */
+/* Verify that if we mark a pointer to a malloc-ed region as non-NULL,
+   all cast pointers to that region are also known to be non-NULL.  */
 
 static void
 test_malloc_constraints ()
 {
-  region_model2 model;
+  region_model model;
   tree p = build_global_decl ("p", ptr_type_node);
   tree char_star = build_pointer_type (char_type_node);
   tree q = build_global_decl ("q", char_star);
   tree null_ptr = build_int_cst (ptr_type_node, 0);
 
-  const region2 *reg = model.add_new_malloc_region2 ();
-  const svalue2 *sval = mgr.get_ptr_svalue2 (ptr_type_node, rid);
+  const region *reg = model.add_new_malloc_region ();
+  const svalue *sval = mgr.get_ptr_svalue (ptr_type_node, rid);
   model.set_value (model.get_lvalue (p, NULL), sid, NULL);
   model.set_value (q, p, NULL);
 
-  /* We should have a symbolic_region2 with m_possibly_null: true.  */
-  const region2 *pointee = model.get_region2 (rid);
-  const symbolic_region2 *sym_reg = pointee->dyn_cast_symbolic_region2 ();
+  /* We should have a symbolic_region with m_possibly_null: true.  */
+  const region *pointee = model.get_region (rid);
+  const symbolic_region *sym_reg = pointee->dyn_cast_symbolic_region ();
   ASSERT_NE (sym_reg, NULL);
   ASSERT_TRUE (sym_reg->m_possibly_null);
 
@@ -10774,16 +9341,16 @@ test_var ()
   tree int_17 = build_int_cst (integer_type_node, 17);
   tree int_m3 = build_int_cst (integer_type_node, -3);
 
-  region_model2_manager mgr;
-  region_model2 model (&mgr);
+  region_model_manager mgr;
+  region_model model (&mgr);
 
-  const region2 *i_reg = model.get_lvalue (i, NULL);
-  ASSERT_EQ (i_reg->get_kind (), region2::RK_DECL);
+  const region *i_reg = model.get_lvalue (i, NULL);
+  ASSERT_EQ (i_reg->get_kind (), region::RK_DECL);
 
   /* Reading "i" should give a symbolic "initial value".  */
-  const svalue2 *sval_init = model.get_rvalue (i, NULL);
-  ASSERT_EQ (sval_init->get_kind (), svalue2::SK_INITIAL);
-  ASSERT_EQ (sval_init->dyn_cast_initial_svalue2 ()->get_region (), i_reg);
+  const svalue *sval_init = model.get_rvalue (i, NULL);
+  ASSERT_EQ (sval_init->get_kind (), svalue::SK_INITIAL);
+  ASSERT_EQ (sval_init->dyn_cast_initial_svalue ()->get_region (), i_reg);
   /* ..and doing it again should give the same "initial value".  */
   ASSERT_EQ (model.get_rvalue (i, NULL), sval_init);
 
@@ -10843,8 +9410,8 @@ test_array ()
   tree int_42 = build_int_cst (integer_type_node, 42);
   tree int_m3 = build_int_cst (integer_type_node, -3);
 
-  region_model2_manager mgr;
-  region_model2 model (&mgr);
+  region_model_manager mgr;
+  region_model model (&mgr);
   /* "arr[0] = 17;".  */
   model.set_value (arr_0, int_17, NULL);
   /* "arr[1] = -3;".  */
@@ -10859,7 +9426,7 @@ test_array ()
 
   /* Verify get_offset for "arr[0]".  */
   {
-    const region2 *arr_0_reg = model.get_lvalue (arr_0, NULL);
+    const region *arr_0_reg = model.get_lvalue (arr_0, NULL);
     region_offset offset = arr_0_reg->get_offset ();
     ASSERT_EQ (offset.get_base_region (), model.get_lvalue (arr, NULL));
     ASSERT_EQ (offset.get_bit_offset (), 0);
@@ -10867,7 +9434,7 @@ test_array ()
 
   /* Verify get_offset for "arr[1]".  */
   {
-    const region2 *arr_1_reg = model.get_lvalue (arr_1, NULL);
+    const region *arr_1_reg = model.get_lvalue (arr_1, NULL);
     region_offset offset = arr_1_reg->get_offset ();
     ASSERT_EQ (offset.get_base_region (), model.get_lvalue (arr, NULL));
     ASSERT_EQ (offset.get_bit_offset (), INT_TYPE_SIZE);
@@ -10876,12 +9443,12 @@ test_array ()
   /* "arr[i] = i;" - this should remove the earlier bindings.  */
   model.set_value (arr_i, i, NULL);
   ASSERT_EQ (model.get_rvalue (arr_i, NULL), model.get_rvalue (i, NULL));
-  ASSERT_EQ (model.get_rvalue (arr_0, NULL)->get_kind (), svalue2::SK_UNKNOWN);
+  ASSERT_EQ (model.get_rvalue (arr_0, NULL)->get_kind (), svalue::SK_UNKNOWN);
 
   /* "arr[0] = 17;" - this should remove the arr[i] binding.  */
   model.set_value (arr_0, int_17, NULL);
   ASSERT_EQ (model.get_rvalue (arr_0, NULL), model.get_rvalue (int_17, NULL));
-  ASSERT_EQ (model.get_rvalue (arr_i, NULL)->get_kind (), svalue2::SK_UNKNOWN);
+  ASSERT_EQ (model.get_rvalue (arr_i, NULL)->get_kind (), svalue::SK_UNKNOWN);
 }
 
 /* FIXME.  */
@@ -10903,8 +9470,8 @@ test_mem_ref ()
   tree offset_0 = build_int_cst (integer_type_node, 0);
   tree star_p = build2 (MEM_REF, integer_type_node, p, offset_0);
 
-  region_model2_manager mgr;
-  region_model2 model (&mgr);
+  region_model_manager mgr;
+  region_model model (&mgr);
 
   /* "x = 17;".  */
   model.set_value (x, int_17, NULL);
@@ -10912,7 +9479,7 @@ test_mem_ref ()
   /* "p = &x;".  */
   model.set_value (p, addr_of_x, NULL);
 
-  const svalue2 *sval = model.get_rvalue (star_p, NULL);
+  const svalue *sval = model.get_rvalue (star_p, NULL);
   ASSERT_EQ (sval->maybe_get_constant (), int_17);
 }
 
@@ -10953,10 +9520,10 @@ test_POINTER_PLUS_EXPR_then_MEM_REF ()
   tree offset_0 = build_int_cst (integer_type_node, 0);
   tree mem_ref = build2 (MEM_REF, integer_type_node,
 			 pointer_plus_expr, offset_0);
-  region_model2_manager mgr;
-  region_model2 m (&mgr);
-  const svalue2 *tmp_2 = m.get_rvalue (mem_ref, NULL);
-  const region2 *tmp_5 = m.get_lvalue (mem_ref, NULL);
+  region_model_manager mgr;
+  region_model m (&mgr);
+  const svalue *tmp_2 = m.get_rvalue (mem_ref, NULL);
+  const region *tmp_5 = m.get_lvalue (mem_ref, NULL);
 
   tree int_42 = build_int_cst (integer_type_node, 42);
   m.set_value (mem_ref, int_42, NULL);
@@ -10976,14 +9543,14 @@ test_malloc ()
   tree n_times_4 = build2 (MULT_EXPR, size_type_node,
 			   n, build_int_cst (size_type_node, 4));
 
-  region_model2_manager mgr;
-  test_region_model2_context ctxt;
-  region_model2 model (&mgr);
+  region_model_manager mgr;
+  test_region_model_context ctxt;
+  region_model model (&mgr);
 
   /* "p = malloc (n * 4);".  */
-  const svalue2 *size_sval = model.get_rvalue (n_times_4, &ctxt);
-  const region2 *reg = model.create_region_for_heap_alloc (size_sval);
-  const svalue2 *ptr = mgr.get_ptr_svalue2 (int_star, reg);
+  const svalue *size_sval = model.get_rvalue (n_times_4, &ctxt);
+  const region *reg = model.create_region_for_heap_alloc (size_sval);
+  const svalue *ptr = mgr.get_ptr_svalue (int_star, reg);
   model.set_value (model.get_lvalue (p, &ctxt), ptr, &ctxt);
   // TODO: verify dynamic extents
 
@@ -11007,26 +9574,26 @@ test_alloca ()
   tree n_times_4 = build2 (MULT_EXPR, size_type_node,
 			   n, build_int_cst (size_type_node, 4));
 
-  region_model2_manager mgr;
-  test_region_model2_context ctxt;
-  region_model2 model (&mgr);
+  region_model_manager mgr;
+  test_region_model_context ctxt;
+  region_model model (&mgr);
 
   /* Push stack frame.  */
-  const region2 *frame_reg
+  const region *frame_reg
     = model.push_frame (DECL_STRUCT_FUNCTION (fndecl),
 			NULL, &ctxt);
   /* "p = alloca (n * 4);".  */
-  const svalue2 *size_sval = model.get_rvalue (n_times_4, &ctxt);
-  const region2 *reg = model.create_region_for_alloca (size_sval);
-  const svalue2 *ptr = mgr.get_ptr_svalue2 (int_star, reg);
+  const svalue *size_sval = model.get_rvalue (n_times_4, &ctxt);
+  const region *reg = model.create_region_for_alloca (size_sval);
+  const svalue *ptr = mgr.get_ptr_svalue (int_star, reg);
   model.set_value (model.get_lvalue (p, &ctxt), ptr, &ctxt);
   // TODO: verify dynamic extents
 
   /* Verify that the pointers to the alloca region are replaced by
      poisoned values when the frame is popped.  */
-  purge_stats2 purged;
+  purge_stats purged;
   model.pop_frame (NULL, true, &purged, NULL, &ctxt);
-  ASSERT_EQ (model.get_rvalue (p, &ctxt)->get_kind (), svalue2::SK_POISONED);
+  ASSERT_EQ (model.get_rvalue (p, &ctxt)->get_kind (), svalue::SK_POISONED);
 }
 
 /* Run all of the selftests within this file.  */
@@ -11044,17 +9611,17 @@ analyzer_region_model_cc_tests ()
   test_unique_constants ();
   test_unique_unknowns ();
 #if 0
-  test_svalue2_equality ();
-  test_region2_equality ();
+  test_svalue_equality ();
+  test_region_equality ();
 #endif
-  test_initial_svalue2_folding ();
-  test_unaryop_svalue2_folding ();
-  test_binop_svalue2_folding ();
-  test_sub_svalue2_folding ();
+  test_initial_svalue_folding ();
+  test_unaryop_svalue_folding ();
+  test_binop_svalue_folding ();
+  test_sub_svalue_folding ();
   test_descendent_of_p ();
 #if 0
   test_purging_by_criteria ();
-  test_purge_unused_svalue2s ();
+  test_purge_unused_svalues ();
 #endif
   test_assignment ();
   test_compound_assignment ();
